### Class

# PangoOT.Info

#### Description

    final class PangoOT.Info : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### pango_ot_info_find_feature

Finds the index of a feature. If the feature is not found, sets `feature_index` to PANGO_OT_NO_FEATURE, which is safe to pass to `pango_ot_ruleset_add_feature()` and similar functions.

###### pango_ot_info_find_language

Finds the index of a language and its required feature index. If the language is not found, sets `language_index` to PANGO_OT_DEFAULT_LANGUAGE and the required feature of the default language system is returned in required_feature_index. For best compatibility with some fonts, also searches the language system tag ‘dflt’ before falling back to the default language system, but that is transparent to the user. The user can simply ignore the return value of this function to automatically fall back to the default language system.

###### pango_ot_info_find_script

Finds the index of a script. If not found, tries to find the ‘DFLT’ and then ‘dflt’ scripts and return the index of that in `script_index`. If none of those is found either, `PANGO_OT_NO_SCRIPT` is placed in `script_index`.

###### pango_ot_info_list_features

Obtains the list of features for the given language of the given script.

###### pango_ot_info_list_languages

Obtains the list of available languages for a given script.

###### pango_ot_info_list_scripts

Obtains the list of available scripts.

#### Functions

###### pango_ot_info_get

Returns the `PangoOTInfo` structure for the given FreeType font face.